#!/bin/csh -f
####################################################
#Edit these Variables as required
set stfr=14 
set endfr=15
set maxdelta=1
set brow=4
set bcol=4
set rscope=8
set cscope=8
####################################################
set delta = 1
rm -rf psnr.rep.$brow.$bcol.$rscope.$cscope
#touch output report file.
touch psnr.rep.$brow.$bcol.$rscope.$cscope
mv cal_mse_psnr.c cal_mse_psnr.c.bk
mv cal_sad_psnr.c cal_sad_psnr.c.bk
#Modify the c program to have newly declared brow,bcol,rscope,cscope
sed -e "s/#define broww.*/#define broww $brow/g" \
-e "s/#define bcoll.*/#define bcoll $bcol/g" \
-e "s/#define rscope.*/#define rscopee $rscope/g" \
-e "s/#define cscope.*/#define cscopee $cscope/g" cal_mse_psnr.c.bk > cal_mse_psnr.c

#Modify the c program to have newly declared brow,bcol,rscope,cscope
sed -e "s/#define broww.*/#define broww $brow/g" \
-e "s/#define bcoll.*/#define bcoll $bcol/g" \
-e "s/#define rscope.*/#define rscopee $rscope/g" \
-e "s/#define cscope.*/#define cscopee $cscope/g" cal_sad_psnr.c.bk > cal_sad_psnr.c

#compile c programs
gcc cal_mse_psnr.c -lm -o mse_psnr
gcc cal_sad_psnr.c -lm -o sad_psnr

while($delta <= $maxdelta)
echo "delta = $delta"
  foreach i (`ls *qcif`)
    echo $i >> psnr.rep.$brow.$bcol.$rscope.$cscope
    set j=$stfr
    set k = $j
    set kk=0
    while($kk < $delta)
     @ k++
     @ kk++
    end
    while($j < $endfr)
      ./sad_psnr $i $j-$k >> psnr.rep.$brow.$bcol.$rscope.$cscope
      ./mse_psnr $i $j-$k >> psnr.rep.$brow.$bcol.$rscope.$cscope
      mv out.dat out.dat.$i.$j-$k
      @ j++;
      @ k++;
    end
    echo "---------------EOR---------------" >> psnr.rep.$brow.$bcol.$rscope.$cscope
  end
  @ delta++
end
grep -e sad psnr.rep.4.4.8.8 | sed -e "s/sad psnr=//g" -e "s/mse psnr=/-/g"
