//parameters Declaration Section

//module parameters ();
parameter roww = 288; //Qcif/Cif rows
parameter l2roww = 9; //Qcif/Cif rows register width max can be 288
parameter coll = 352; //Qcif/Cif columns
parameter l2coll = 9; //Qcif/Cif columns register width max can be 352

parameter broww = 8;  //Initial Block Size row
parameter l2broww = 5;  //Block Size row reg max value can be 32
parameter bcoll = 8;  //Initial Block Size column
parameter l2bcoll = 5;  //Block Size column reg max value can be 32

parameter rscopee = 16; //Initial search size row
parameter l2rscopee = 6; //Initial search size row max value = 64
parameter cscopee = 16; //Initial search size column
parameter l2cscopee = 6; //Initial search size column max value = 64

parameter rrwidth = 7;// max value of rr is max(roww)/min(broww) 288/4=72
parameter ccwidth = 7;// max value of rr is max(coll)/min(bcoll) 352/4=88

parameter cif_qcif = 4; //Make it 5 for cif, 4 for qcif

parameter data_width = 8; //Make it 5 for cif, 4 for qcif

parameter logNumBlocks = 4; //Must be ediited to a value of log2(brow*bcoll)
//Example broww=4, bcoll=4, logNumBlocks = log2(16) = 4;
//endmodule
