#!/bin/csh -f
set C_SRC = "../c_src"
set BIN = "../bin"
set SIM = "../sim"
set VIDEO_SRC = "../video"
set RTL = ../rtl
set TB = ../tb
set RESULTS = ../results
set SYN = ../synopsys
set SCRIPTS = ../scripts
set NETLIST = ../netlist

source $SCRIPTS/source_file

set uname = `uname`

echo "OS on this Machine is $uname"

if($uname == "Linux") then
  echo "###############################################################"
  echo "ERROR! Synopsys DC SHELL cannot run on linux; use a Sun Machine"
  echo "###############################################################"
  exit(0)
endif

rm -rf $SYN/mes.v
rm -rf $SYN/fifo_lp.v
grep -v SIMONLY $RTL/mes.v > $SYN/mes.v
grep -v SIMONLY $RTL/fifo_lp.v > $SYN/fifo_lp.v

pushd $SYN
  dc_shell-t -f dc.scr
popd

rm -rf $SYN/netlist.v
rm -rf $NETLIST/netlist.v
cat $SYN/time.v >  $SYN/netlist.v
cat  $SYN/mes_gate_flat.v >>  $SYN/netlist.v
cat  $SYN/mes_gate.v >>  $NETLIST/netlist.v
