library verilog;
use verilog.vl_types.all;
entity mes is
    generic(
        roww            : integer := 144;
        l2roww          : integer := 9;
        coll            : integer := 176;
        l2coll          : integer := 9;
        broww           : integer := 4;
        l2broww         : integer := 5;
        bcoll           : integer := 4;
        l2bcoll         : integer := 5;
        rscopee         : integer := 8;
        l2rscopee       : integer := 6;
        cscopee         : integer := 8;
        l2cscopee       : integer := 6;
        rrwidth         : integer := 7;
        ccwidth         : integer := 7;
        cif_qcif        : integer := 4
    );
    port(
        mv_x            : out    vl_logic_vector(7 downto 0);
        mv_y            : out    vl_logic_vector(7 downto 0);
        min_sad         : out    vl_logic_vector(15 downto 0);
        partition_mode  : out    vl_logic_vector(9 downto 0);
        mfinish         : out    vl_logic;
        ADRRef          : out    vl_logic_vector(16 downto 0);
        CENRef          : out    vl_logic;
        WENRef          : out    vl_logic;
        OENRef          : out    vl_logic;
        ADRCur          : out    vl_logic_vector(16 downto 0);
        CENCur          : out    vl_logic;
        WENCur          : out    vl_logic;
        OENCur          : out    vl_logic;
        ADRNew          : out    vl_logic_vector(16 downto 0);
        CENNew          : out    vl_logic;
        WENNew          : out    vl_logic;
        OENNew          : out    vl_logic;
        Dnew            : out    vl_logic_vector(7 downto 0);
        start           : in     vl_logic;
        clk             : in     vl_logic;
        reset           : in     vl_logic;
        Dref            : in     vl_logic_vector(7 downto 0);
        Dcur            : in     vl_logic_vector(7 downto 0)
    );
end mes;
